# List1099Forms

List 1099/1095/W2/1042S forms

`GET /1099/forms`

**API:** Avalara 1099 & W-9 API Definition
**Tag:** Forms 1099
**API Version:** 2.0
**Base URL:** https://api.sbx.avalara.com/avalara1099
**Authentication:** Bearer token

Source: https://developer.avalara.com/products/avalara-1099-and-w9/api/methods/Forms%201099/List1099Forms/

## Description

List 1099/1095/W2/1042S forms.
            
Collections support filtering only on certain fields. An attempt to filter on an unsupported field will receive a 400 Bad Request response.
            
Supported filtering fields are as follows:
            
- issuerId
- issuerReferenceId
- taxYear
- addressVerificationStatus - possible values are: unknown, pending, failed, incomplete, unchanged, verified
- createdAt
- edeliveryStatus - possible values are: sent, unscheduled, bad_verify, bad_verify_limit, scheduled, bounced, accepted
- email
- federalEfileStatus - possible values are: unscheduled, scheduled, sent, corrected_scheduled, accepted, corrected, corrected_accepted, held
- recipientName
- mailStatus - possible values are: sent, unscheduled, pending, delivered
- referenceId
- tinMatchStatus - possible values are: none, pending, matched, failed
- type - possible values are: 940, 941, 943, 944, 945, 1042, 1042-S, 1095-B, 1095-C, 1097-BTC, 1098, 1098-C, 1098-E, 1098-Q, 1098-T, 3921, 3922, 5498, 5498-ESA, 5498-SA, 1099-MISC, 1099-A, 1099-B, 1099-C, 1099-CAP, 1099-DIV, 1099-G, 1099-INT, 1099-K, 1099-LS, 1099-LTC, 1099-NEC, 1099-OID, 1099-PATR, 1099-Q, 1099-R, 1099-S, 1099-SA, T4A, W-2, W-2G, 1099-HC
- updatedAt
- validity - possible values are: true, false
            
For more information on filtering, see Filtering in REST.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `$filter` | string | query | No | A filter statement to identify specific records to retrieve.
For more information on filtering, see Filtering in REST. |
| `$top` | integer | query | No | If zero or greater than 1000, return at most 1000 results.
Otherwise, return this number of results.
Used with skip to provide pagination for large datasets. |
| `$skip` | integer | query | No | If nonzero, skip this number of results before returning data. Used with top to provide pagination for large datasets. |
| `$orderBy` | string | query | No | A comma separated list of sort statements in the format (fieldname) [ASC|DESC], for example id ASC. |
| `count` | boolean | query | No | If true, return the global count of elements in the collection. |
| `countOnly` | boolean | query | No | If true, return ONLY the global count of elements in the collection.
It only applies when count=true. |
| `avalara-version` | string | header | Yes | API version |
| `X-Correlation-Id` | string | header | No | Unique correlation Id in a GUID format |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `PaginatedQueryResultModel_Form1099Base` |
| 400 | Bad Request | `ErrorResponse` |
| 401 | Unauthorized |  |
| 404 | Not Found | `ErrorResponse` |
| 500 | Server Error | `ErrorResponse` |

### 200 Response: `PaginatedQueryResultModel_Form1099Base`

Generic paginated model to wrap query response data

| Property | Type | Required | Description |
|---|---|---|---|
| `@recordsetCount` | integer | No |  |
| `value` | object[] | No |  |
| `@nextLink` | string | No |  |

## Example Request

```bash
curl -X GET "https://api.sbx.avalara.com/avalara1099/1099/forms" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```